## EMailSignatureComboBox

EMailSignatureComboBox

## Functions

GtkWidget * | e_mail_signature_combo_box_new ()
void | e_mail_signature_combo_box_refresh ()
ESourceRegistry * | e_mail_signature_combo_box_get_registry ()
const gchar * | e_mail_signature_combo_box_get_identity_uid ()
void | e_mail_signature_combo_box_set_identity_uid ()
void | e_mail_signature_combo_box_load_selected ()
gboolean | e_mail_signature_combo_box_load_selected_finish ()

## Types and Values

#define | E_MAIL_SIGNATURE_AUTOGENERATED_UID
struct | EMailSignatureComboBox

## Description

## Functions

### e_mail_signature_combo_box_new ()

    GtkWidget *
    e_mail_signature_combo_box_new (ESourceRegistry *registry);

### e_mail_signature_combo_box_refresh ()

    void
    e_mail_signature_combo_box_refresh (EMailSignatureComboBox *combo_box);

### e_mail_signature_combo_box_get_registry ()

    ESourceRegistry *
    e_mail_signature_combo_box_get_registry
                                   (EMailSignatureComboBox *combo_box);

### e_mail_signature_combo_box_get_identity_uid ()

    const gchar *
    e_mail_signature_combo_box_get_identity_uid
                                   (EMailSignatureComboBox *combo_box);

### e_mail_signature_combo_box_set_identity_uid ()

    void
    e_mail_signature_combo_box_set_identity_uid
                                   (EMailSignatureComboBox *combo_box,
                                    const gchar *identity_uid);

### e_mail_signature_combo_box_load_selected ()

    void
    e_mail_signature_combo_box_load_selected
                                   (EMailSignatureComboBox *combo_box,
                                    gint io_priority,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### e_mail_signature_combo_box_load_selected_finish ()

    gboolean
    e_mail_signature_combo_box_load_selected_finish
                                   (EMailSignatureComboBox *combo_box,
                                    GAsyncResult *result,
                                    gchar **contents,
                                    gsize *length,
                                    gboolean *is_html,
                                    GError **error);

## Types and Values

### E_MAIL_SIGNATURE_AUTOGENERATED_UID

    #define E_MAIL_SIGNATURE_AUTOGENERATED_UID "autogenerated"

### struct EMailSignatureComboBox

    struct EMailSignatureComboBox {
    	GtkComboBox parent;
    	EMailSignatureComboBoxPrivate *priv;
    };